Skip to content
Get started

Delete

client.models.presets.delete(stringpresetID, PresetDeleteParams { modelId, projectId } params, RequestOptionsoptions?): PresetDeleteResponse
DELETE/models/{modelId}/presets/{presetId}

Delete a preset for the given modelId

ParametersExpand Collapse
presetID: string
params: PresetDeleteParams { modelId, projectId }
modelId: string

Path param: The preset’s modelId to delete

projectId?: string

Query param: The projectId used for ownership resource management. Either to assert ownership or to set the owner of the resource(s)

ReturnsExpand Collapse
PresetDeleteResponse = unknown

Delete

import Scenario from '@scenario-labs/sdk';

const client = new Scenario({
  apiKey: process.env['SCENARIO_SDK_API_KEY'], // This is the default and can be omitted
  apiSecret: process.env['SCENARIO_SDK_API_SECRET'], // This is the default and can be omitted
});

const preset = await client.models.presets.delete('presetId', { modelId: 'modelId' });

console.log(preset);
{}
Returns Examples
{}